Bug 1122020 - Syntax error in oo-diagnostics in line#1306
Summary: Syntax error in oo-diagnostics in line#1306
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Derek Carr
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1122194
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:24 UTC by Jianwei Hou
Modified: 2015-05-15 00:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1122194 (view as bug list)
Environment:
Last Closed: 2014-10-10 00:49:22 UTC


Attachments (Terms of Use)

Description Jianwei Hou 2014-07-22 11:24:40 UTC
Description of problem:
The key word 'def' is missing in the definition of method 'test_node_clock_in_synch_with_broker' in oo-diagnostics
See https://github.com/openshift/origin-server/blob/master/common/bin/oo-diagnostics#L1306

Version-Release number of selected component (if applicable):
On devenv_4992

How reproducible:
Always

Steps to Reproduce:
1. oo-diagnostics

Actual results:
[root@ip-10-144-207-61 ~]# oo-diagnostics
/usr/sbin/oo-diagnostics:1346: syntax error, unexpected keyword_end, expecting $end
end #class OODiag


Expected results:
Should not be broken

Additional info:

Comment 1 Derek Carr 2014-07-22 17:58:25 UTC
Fixed in PR: https://github.com/openshift/origin-server/pull/5639

Comment 2 Jianwei Hou 2014-07-23 05:32:18 UTC
Verified on devenv_4997, the syntax error is fixed.


Note You need to log in before you can comment on or make changes to this bug.